package jp.agentec.abook.abv.bl.dto;

import java.util.List;

/**
 * Created by leej on 2018/08/31.
 */

public class TaskDto extends AbstractDto {

    public String taskKey;
    public Long taskId;
    public Long operationId;
    public String taskCode;
    public Integer taskStatus;
    public String taskHotSpotInfo;
    public List<TaskReportDto> taskReportDtoList;
    public boolean delFlg;

    public int taskReportId;

    public boolean taskHasAuthority;  // タスク別の権限

    @Override
    public Object[] getInsertValues() {
        return new Object[] { taskKey, taskId, operationId, taskCode, taskStatus, taskHotSpotInfo };
    }

    @Override
    public Object[] getUpdateValues() {
        return new Object[] { taskId, operationId, taskCode, taskStatus, taskHotSpotInfo, delFlg, taskKey };
    }

    @Override
    public String[] getKeyValues() {
        return new String[] { "" + taskKey };
    }
}
